<template>
  <v-layout align-center justify-space-between class="group-item">
    <div>
      <v-btn @click="back" icon flat>
        <v-icon>keyboard_arrow_left</v-icon>
      </v-btn>
    </div>
    <v-layout justify-center>
      <slot class="group-item__container"/>
    </v-layout>
    <div>
      <v-btn @click="next" icon flat>
        <v-icon>keyboard_arrow_right</v-icon>
      </v-btn>
    </div>
  </v-layout>
</template>


<script>
export default {
  props: {
    numberItems: {
      type: Number,
      default: 0,
    },
    activeItem: {
      type: Number,
      default: 0,
    },
  },
  methods: {
    next() {
      const active = Number(this.activeItem);
      const activeItem = active < this.numberItems - 1 ? active + 1 : 0;
      this.$emit('next', activeItem);
    },
    back() {
      const active = Number(this.activeItem);
      const activeItem = active < 1 ? this.numberItems - 1 : active - 1;
      this.$emit('back', activeItem);
    },
  },
};
</script>

<style lang="sass">
.group-item
  width: 100%
  &__container
    width: 100%
</style>
